Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05013 Crash/Freeze Critical (emulator) Always Sep 20, 2012, 08:53 May 23, 2013, 06:38
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To Firewave Resolution Fixed OS
Status [?] Resolved Driver vegas.cpp
Version 0.147 Fixed in Version 0.149 Build Debug
Summary 05013: sf2049: Integer Divide By Zero
Description
-----------------------------------------------------
Exception at EIP=019E8D89 (+0x19e8d89): INTEGER DIVIDE BY ZERO
-----------------------------------------------------
EAX=00000000 EBX=7EFDE000 ECX=00000000 EDX=00000000
ESI=0034A07C EDI=0034A064 EBP=0034A064 ESP=0034A034
-----------------------------------------------------
Stack crawl:
  0034A064: 019E8D89 (denver_w+0x0199, s:\svn\mame\src\mame\audio\dcs.c:1428)
  0034A084: 02EE2CC4 (handler_entry_write::write_stub_legacy+0x0034, s:\svn\mame\src\emu\memory.c:5339)
  0034A0A8: 02EEDCFA (delegate_base<void,address_space &,unsigned int,unsigned short,unsigned short,_noparam>::method_stub<handler_entry_write>+0x004a, s:\svn\mame\src\emu\delegate.h:435)
  0034A0CC: 01D49A62 (delegate_base<void,address_space &,unsigned int,unsigned short,unsigned short,_noparam>::operator()+0x0032, s:\svn\mame\src\emu\delegate.h:375)
  0034A0E8: 02F42BCE (handler_entry_write::write16+0x002e, s:\svn\mame\src\emu\memory.c:491)
  0034A110: 02F4667B (address_space_specific<unsigned short,0,0>::write_native+0x00cb, s:\svn\mame\src\emu\memory.c:1132)
  0034A124: 02F4993B (address_space_specific<unsigned short,0,0>::write_word+0x002b, s:\svn\mame\src\emu\memory.c:1404)
  0034A13C: 027B9A35 (adsp21xx_device::io_write+0x0035, s:\svn\mame\src\emu\cpu\adsp2100\adsp2100.c:838)
  0034A1AC: 027AD3B9 (adsp21xx_device::execute_run+0x0229, s:\svn\mame\src\emu\cpu\adsp2100\adsp2100.c:1255)
  0034A1BC: 02F4EA3E (device_execute_interface::run+0x001e, s:\svn\mame\src\emu\diexec.h:221)
  0034A254: 02F4C0FD (device_scheduler::timeslice+0x038d, s:\svn\mame\src\emu\schedule.c:489)
  0034A6E8: 02F515D2 (running_machine::run+0x02b2, s:\svn\mame\src\emu\machine.c:392)
  0034DD2C: 02E73569 (mame_execute+0x01b9, s:\svn\mame\src\emu\mame.c:190)
  0034F960: 03893651 (cli_frontend::execute+0x08c1, s:\svn\mame\src\emu\clifront.c:252)
  0034FC28: 038291B1 (utf8_main+0x0171, s:\svn\mame\src\osd\windows\winmain.c:482)
  0034FC44: 03825804 (wmain+0x0094, s:\svn\mame\src\osd\windows\main.c:82)
  0034FC90: 037D61CC (__tmainCRTStartup+0x010c, f:\dd\vctools\crt_bld\self_x86\crt\src\crt0.c:240)
  0034FC98: 037D631D (wmainCRTStartup+0x000d, f:\dd\vctools\crt_bld\self_x86\crt\src\crt0.c:164)
  0034FCA4: 7556339A (BaseThreadInitThunk+0x0012)
  0034FCE4: 76F69EF2 (RtlInitializeExceptionChain+0x0063)
  0034FCFC: 76F69EC5 (RtlInitializeExceptionChain+0x0036)

Happened with a VS2012 compile. Didn't try any others.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sf2049
Attached Files
 
Relationships
has duplicate 05136Closed sf2049: Mame crashes when you start the game 
Notes
2
User avatar
No.08929
Tafoid
Administrator
Sep 21, 2012, 01:57
Still valid on normal debug build on windows 32-bit several emulated seconds in.
User avatar
No.09538
Firewave
Senior Tester
May 22, 2013, 21:37
Fixed in r23061.